### Class

# Foundry CommandLine

#### Description [src]

    abstract class Foundry.CommandLine : GObject.Object
    {
      /* No available fields */
    }

Abstract base class for command line interface implementations.

FoundryCommandLine provides the core interface for command line operations including command parsing, execution, and communication with remote services. Concrete implementations handle different command line modes and provide unified access to Foundry functionality from the terminal.

#### Ancestors

- GObject

#### Constructors

###### foundry_command_line_new

No description available.

#### Functions

###### foundry_command_line_error_quark

No description available.

#### Instance methods

###### foundry_command_line_build_file_for_arg

No description available.

###### foundry_command_line_clear_progress

No description available.

###### foundry_command_line_dup_auth_provider

Gets an auth provider for this command line client if possible.

###### foundry_command_line_get_directory

No description available.

###### foundry_command_line_get_environ

No description available.

###### foundry_command_line_get_stderr

No description available.

###### foundry_command_line_get_stdin

No description available.

###### foundry_command_line_get_stdout

No description available.

###### foundry_command_line_getenv

No description available.

###### foundry_command_line_is_remote

No description available.

###### foundry_command_line_isatty

No description available.

###### foundry_command_line_print

No description available.

###### foundry_command_line_print_list

No description available.

###### foundry_command_line_print_object

No description available.

###### foundry_command_line_printerr

No description available.

###### foundry_command_line_request_input

Queries the user for the information requested in `input`.

###### foundry_command_line_run

Runs the command line.

###### foundry_command_line_set_progress

No description available.

###### foundry_command_line_set_title

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryCommandLineClass {
      /* no available fields */
    }

No description available.